Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 513358 - SVN repo"gli" has commits that Git repo "proj/gli" does not have?
Summary: SVN repo"gli" has commits that Git repo "proj/gli" does not have?
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: CVS/SVN/Git (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Release Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 513182
  Show dependency tree
 
Reported: 2014-06-15 16:33 UTC by Sebastian Pipping
Modified: 2014-06-22 21:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Pipping gentoo-dev 2014-06-15 16:33:58 UTC
Hello releng,


in relation to bug #513182, please tell us about the status of SVN repository "gli".  It seems to have content never than Git repository "proj/gli".


# svn info file://$PWD/gli
Path: gli
URL: file://[..]/gli
Relative URL: ^/
Repository Root: file://[..]/gli
Repository UUID: f8877401-5920-0410-a79b-8e2d7e04ca0d
Revision: 1912
Node Kind: directory
Last Changed Author: codeman
Last Changed Rev: 1912
Last Changed Date: 2008-07-28 05:48:15 +0200 (Mo, 28 Jul 2008)

# svn diff -r1911:1912 file://$PWD/gli | diffstat
 GLIPortage.py |   96 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 91 insertions(+), 5 deletions(-)


http://git.overlays.gentoo.org/gitweb/?p=proj/gli.git;a=summary


Thanks!
Comment 1 Sebastian Pipping gentoo-dev 2014-06-17 17:17:30 UTC
Ping.  Any knowledge you have about this would help.  Thank you!
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2014-06-17 17:45:16 UTC
(In reply to Sebastian Pipping from comment #1)
> Ping.  Any knowledge you have about this would help.  Thank you!

Sebastian,

sorry for not replying sooner, but the reality is that I have no idea what happened with the GLI project. I wasn't even aware of the gogo repo before you mentioned it.
I've poked Andrew on IRC, and am cc'ing him here in case he can help. I'm also cc'ing Chris.

I'd suggest you move to the other repos and leave this for the end. As I've told Robin, I don't consider this a priority, although we should try to keep its history.
Comment 3 Sebastian Pipping gentoo-dev 2014-06-19 18:24:10 UTC
(In reply to Jorge Manuel B. S. Vicetto from comment #2)
> although we should try to keep its history.

I'll try to rebase the SVN history on top of the Git one then.  With some luck, that's easy and we cann kill the SVN one for good then.  Let's see.
Comment 4 Sebastian Pipping gentoo-dev 2014-06-22 21:01:54 UTC
I have adding the missing bits of history now.  It's four commits in a branch "qs" that's newer than master:

  # git cherry master qs
  + 269845de84162966d2718fbfe056d43ac1027097
  + bcf6fda744003b8ef3d5ee7fa44b2e97da0bd1d9
  + 3e854ae99194783fbaa9a15b3295227043cbfcdf
  + 5f0db96de0a9e4012a347134e72464a09d6dbd83

Besides adding branch "qs" I:

 * renamed tag "0.4" to "0.4-branched"
   (since it's a branch in SVN, not a tag)

 * added too tags "overhaul-branched" and "overhaul-merged"
   (both pointing to commits in master branch history)

To have look yourself:

  http://git.overlays.gentoo.org/gitweb/?p=proj/gli.git;a=summary


Seems done to me, feel free to re-open if you see need to.